<h2>Привет, Зинкевич</h2>
<h2 class="average">
  Cредний балл: 7.8
  <button mat-button (click)="rtCheck()">РТ</button>
</h2>
<h2 *ngIf="profile">
  Cредний балл по специальности: {{profile === '2' ? 9.0 : 6.7 }}
  <button mat-button (click)="test()">Тест</button>
</h2>
<mat-form-field>
  <mat-label>Выберите профиль</mat-label>
  <mat-select matNativeControl required [(value)]="profile">
    <mat-option value="1">Педагог</mat-option>
    <mat-option value="2">Программист</mat-option>
    <mat-option value="3">Экономист</mat-option>
    <mat-option value="4">Художник</mat-option>
    <mat-option value="5">Музыкант</mat-option>
    <mat-option value="6">Юрист</mat-option>
  </mat-select>
</mat-form-field>
<mat-list>
  <mat-list-item *ngFor="let lesson of lessons"
    [ngClass]="{highlight: (profile === '2' && (lesson.name === 'Математика' || lesson.name === 'Физика' || lesson.name === 'Английский язык')) || (profile === '1' && (lesson.name === 'Русский язык' || lesson.name === 'История' || lesson.name === 'Обществоведение')) }">
    <span class="name">{{lesson.name}}:</span>
    <span class="value"> {{lesson.value}}</span>
    <i class="material-icons" (click)="openDialog()"
      [ngClass]="{highlight: lesson.name === 'Математика' || lesson.name === 'Русский язык' || lesson.name === 'Биология'}">help_outline</i>
  </mat-list-item>
</mat-list>